[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopIfConverging |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopIfConverging:

List of all members.

## Public Member Functions

template<class WeightIter, class T, class C>
bool | after_prediction (WeightIter iter, int k, MultiArrayView< 2, T, C > const &prob, double totalCt)
| StopIfConverging (double thresh, int num=10)

## Detailed Description

Stop predicting if the 2norm of the probabilities does not change

## Constructor & Destructor Documentation

StopIfConverging | ( | double | thresh,
|  | int | num = `10` |
| ) |  |  |

Constructor

Parameters:

  | thresh,: | If the two norm of the probabilites changes less then thresh then stop
  | num | : look at atleast num trees before stopping

## Member Function Documentation

template<class WeightIter, class T, class C>
bool after_prediction | ( | WeightIter | ,
|  | int | k,
|  | MultiArrayView< 2, T, C > const & | ,
|  | double |  |
| ) |  |  |

called after the prediction of a tree was added to the total prediction

Parameters:

  | WeightIter | Iterator to the weights delivered by current tree.
  | k | after kth tree
  | prob | Total probability array
  | totalCt | sum of probability array.

Reimplemented from StopBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)